package com.jxy.marketall.service;

import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.marketall.vo.QueryVo;
import com.jxy.marketall.vo.TopListWatchVo;
import com.jxy.marketall.vo.TopVo;

import javax.management.Query;

/**
 * @Description TODO
 * @Date 2022/7/29 15:13
 * @Author 杜懿
 */
public interface BTCMongoService {

    /**
     *持有者 购入价格-数量分布图数据
     * @return
     */
    AjaxResult getBuyData(QueryVo vo);

    /**
     *持有者 购入价格-币数量分布图数据
     * @return
     */
    AjaxResult getBuyAmountData(QueryVo vo);

    /**
     * 持有者 当前价格-购入价格差值 数量分布图数据
     * @return
     */
    AjaxResult getDiffData(QueryVo vo);

    /**
     * 持有者 当前价格-购入价格差值 币数量分布图数据
     * @return
     */
    AjaxResult getDiffAmountData(QueryVo vo);

    /**
     * 持有者当前收益分布图数据
     * @return
     */
    AjaxResult getProfitData(QueryVo vo);

    /**
     * 持有者当前收益币数量分布图数据
     * @return
     */
    AjaxResult getProfitAmountData(QueryVo vo);

    /**
     *
     * @return
     */
    AjaxResult getTopList(TopVo topVo);

    /**
     * 持有者当前收益分布图数据
     * @return
     */
    AjaxResult getDayBalanceData(QueryVo queryVo,String value,String pre);

    /**
     *
     * @return
     */
    AjaxResult getTopListWatch(TopListWatchVo vo);

    //
}
